<?php
    if (!defined('MOODLE_INTERNAL')) {
        die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
    }

    require_once($CFG->dirroot.'/course/moodleform_mod.php');
    require_once($CFG->dirroot.'/mod/gradeImporter/lib.php');

    class mod_gradeImporter_mod_form extends moodleform_mod {

        function definition() {
            global $CFG, $DB, $OUTPUT;

            $mform =& $this->_form;

            $mform->addElement('text', 'name', get_string('instanceName', 'formStrings'), array('size'=>'64'));
            $mform->setType('name', PARAM_TEXT);
            $mform->addRule('name', get_string('error_instanceNameField', 'formStrings'), 'required', null, 'client');

            $this->standard_intro_elements(get_string('description', 'formStrings'));

            $ynoptions = array(0 => get_string('visibilityOn', 'formStrings'),
                           1 => get_string('visibilityOff', 'formStrings'));

            $this->standard_coursemodule_elements();

            $this->add_action_buttons();
            }
    }
?>
